Bug 39667

Summary: [BREWMP] Add more types to OwnPtr
Product: WebKit Reporter: Kwang Yul Seo <skyul>
Component: Web Template FrameworkAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, beergun, commit-queue, joybro201, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Other   
Bug Depends on:    
Bug Blocks: 33564    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Kwang Yul Seo 2010-05-25 04:05:24 PDT
Add ISSL and ISocket to the list of OwnPtr-ed type.
Comment 1 Kwang Yul Seo 2010-05-25 04:07:51 PDT
Created attachment 57003 [details]
Patch

ISocket and ISSL are used to implement SocketStream.
Comment 2 WebKit Review Bot 2010-05-25 04:10:18 PDT
Attachment 57003 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
JavaScriptCore/wtf/brew/OwnPtrBrew.cpp:33:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Kwang Yul Seo 2010-05-25 04:13:52 PDT
Created attachment 57004 [details]
Patch

Style fix.
Comment 4 Eric Seidel (no email) 2010-06-04 23:02:37 PDT
Comment on attachment 57004 [details]
Patch

OK.
Comment 5 WebKit Commit Bot 2010-06-05 00:18:36 PDT
Comment on attachment 57004 [details]
Patch

Rejecting patch 57004 from commit-queue.

Found no modified ChangeLogs, cannot create a commit message.
All changes require a ChangeLog.  See:
http://webkit.org/coding/contributing.html
Comment 6 Kwang Yul Seo 2010-06-06 23:53:09 PDT
Created attachment 57996 [details]
Patch

Add missing ChangeLog.
Comment 7 Eric Seidel (no email) 2010-06-07 09:40:18 PDT
Comment on attachment 57004 [details]
Patch

Cleared Eric Seidel's review+ from obsolete attachment 57004 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 8 Eric Seidel (no email) 2010-06-07 10:04:35 PDT
Comment on attachment 57996 [details]
Patch

OK.
Comment 9 WebKit Commit Bot 2010-06-07 10:34:20 PDT
Comment on attachment 57996 [details]
Patch

Clearing flags on attachment: 57996

Committed r60787: <http://trac.webkit.org/changeset/60787>
Comment 10 WebKit Commit Bot 2010-06-07 10:34:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Adam Barth 2010-06-07 11:51:16 PDT
Turns out OwnPtrCommon.h is a really bad design.

This changed needlessly caused all ports to do full rebuilds.

We should change OwnPtrCommon to include platform-specific headers instead.
Comment 12 Kwang Yul Seo 2010-06-07 18:31:20 PDT
(In reply to comment #11)
> Turns out OwnPtrCommon.h is a really bad design.
> 
> This changed needlessly caused all ports to do full rebuilds.
> 
> We should change OwnPtrCommon to include platform-specific headers instead.

I agree. I will file a bug to change OwnPtrCommon to include platform-specific headers. We need to add only Win32 and Brew MP headers for now.